Package: grails.compiler

## [Groovy] Annotation Type DelegatingMethod

- grails.compiler.DelegatingMethod

- All Implemented Interfaces and Traits:
    java.lang.annotation.Annotation

      @java.lang.annotation.Retention(value: RetentionPolicy.RUNTIME)
      @java.lang.annotation.Target(value: [ElementType.METHOD])
      @interface DelegatingMethod

  Used to indicate to the compiler that a particular method simply delegates to another one. This information is useful in cases where only the final method should be transformed and not the methods that delegate to the said method.

  Authors:
    Graeme Rocher
  Since:
    3.0.3

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`